MAPIProxy 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
libmapiserver_oxcdata.c File Reference

OXCDATA Data Structures. More...

`#include "libmapiserver.h"`
`#include "libmapi/mapidefs.h"`
`#include <util/debug.h>`

## Functions
_PUBLIC_ uint16_t | libmapiserver_LongTermId_size (void)
_PUBLIC_ uint16_t | libmapiserver_mapi_SPropValue_size (uint16_t cValues, struct mapi_SPropValue *lpProps)
_PUBLIC_ uint16_t | libmapiserver_PropertyName_size (struct MAPINAMEID *property_name)
_PUBLIC_ uint16_t | libmapiserver_RecipientRow_size (struct RecipientRow recipientrow)
uint16_t | libmapiserver_TypedString_size (struct TypedString typedstring)

## Detailed Description

OXCDATA Data Structures.

## Function Documentation

_PUBLIC_ uint16_t libmapiserver_LongTermId_size | ( | void |  | ) |

Calculate the size of a LongTermId structure

Returns
  Size of LongTermId structure

Referenced by libmapiserver_RopGetPerUserLongTermIds_size().

_PUBLIC_ uint16_t libmapiserver_mapi_SPropValue_size | ( | uint16_t | cValues,
|  | struct mapi_SPropValue * | lpProps
| ) |  |

Calculate the size of a mapi_SPropValue array structure

Returns
  Size of mapi_SPropValue structure

Referenced by libmapiserver_RopGetPropertiesAll_size().

_PUBLIC_ uint16_t libmapiserver_PropertyName_size | ( | struct MAPINAMEID * | property_name | ) |

Calculate the size of a PropertyName structure

Returns
  Size of PropertyName structure

Referenced by libmapiserver_RopGetNamesFromIDs_size().

_PUBLIC_ uint16_t libmapiserver_RecipientRow_size | ( | struct RecipientRow | recipientrow | ) |

Calculate the size of a RecipientRow structure

Parameters

  recipientrow | RecipientRow structure

Returns
  Size of RecipientRow structure

Referenced by libmapiserver_RopOpenEmbeddedMessage_size(), libmapiserver_RopOpenMessage_size(), and libmapiserver_RopReloadCachedInformation_size().

uint16_t libmapiserver_TypedString_size | ( | struct TypedString | typedstring | ) |

Calculate the size of a TypedString structure

Parameters

  typedstring | TypedString structure

Returns
  Size of typedstring structure

Referenced by libmapiserver_RopOpenEmbeddedMessage_size(), libmapiserver_RopOpenMessage_size(), and libmapiserver_RopReloadCachedInformation_size().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/